Package Gnumed :: Package wxpython :: Module gmPlugin_Patient |
[frames] | no frames]

# Module gmPlugin_Patient

source code

gmPlugin_Patient - base classes for GNUMed's patient plugin architecture.

Copyright: author

License: GPL v2 or later (details at http://www.gnu.org)

Version: $Revision: 1.12 $

Author: H.Herb, I.Haywood, K.Hilbert

Classes
| BasePlugin Base class for all plugins providing wxPython widgets.
| wxPatientPlugin A 'small page', sits inside the patient view, with the side visible

Variables
| gmPerson = `None`

Imports: os, sys, re, cPickle, zlib, wx, gmExceptions, gmGuiBroker, gmCfg, gmShadow